works on FF 4 Rated 3 out of 5 stars

works on FF 4... install 1.2.2

This review is for a previous version of the add-on (1.2.2.1-signed).